<template>
  <div view="home desktop" class="hv__container">
    <presentation-section />
    <where-are-we-section />
    <what-is-it-section />
    <who-we-are-section />
    <footer-section />
  </div>
</template>

<script>
import PresentationSection from '@sections/home/Presentation.vue';
import WhereAreWeSection from '@sections/home/WhereAreWe.vue';
import WhatIsItSection from '@sections/home/Whatisit.vue';
import WhoWeAreSection from '@sections/home/Whoweare.vue';
import FooterSection from '@sections/home/Footer.vue';
import ogImage from '@/static/img/meta.jpg';

export default {
  name: 'Home',
  components: {
    PresentationSection,
    WhereAreWeSection,
    WhatIsItSection,
    WhoWeAreSection,
    FooterSection,
  },
  head() {
    return {
      title: this.$i18n.t('head.meta.home.title'),
      meta: [
        { hid: 'author', name: 'author', content: this.$i18n.t('head.meta.author') },
        { hid: 'description', name: 'description', content: this.$i18n.t('head.meta.home.description') },
        { hid: 'og:title', property: 'og:title', content: this.$i18n.t('head.meta.home.title') },
        { hid: 'og:description', property: 'og:description', content: this.$i18n.t('head.meta.home.description') },
        { hid: 'og:image', property: 'og:image', content: ogImage },
        { hid: 'og:url', property: 'og:url', content: this.$i18n.t('head.meta.url') },
        { hid: 'keywords', name: 'keywords', content: this.$i18n.t('head.meta.keywords') },
      ],
    };
  },
};
</script>

<style lang="scss" scoped>
.hv__container {
  width: 100%;
}
</style>
